## org.apache.batik.dom.util
Interface XMLHttpRequest

    public interface XMLHttpRequest

An interface for objects that can fetch HTTP resources. This interface will likely move to a different package at some point (perhaps org.w3c.dom.webapi).

See Also:
  The XMLHttpRequest Object

Field Summary
`static short` `DONE`
`static short` `HEADERS_RECEIVED`
`static short` `LOADING`
`static short` `OPENED`
`static short` `UNSENT`

Method Summary
`void` `abort()`
`java.lang.String` `getAllResponseHeaders()`
`EventListener` `getOnreadystatechange()`
`short` `getReadyState()`
`java.lang.String` `getResponseHeader(java.lang.String header)`
`java.lang.String` `getResponseText()`
`java.lang.String` `getResponseXML()`
`short` `getStatus()`
`java.lang.String` `getStatusText()`
`void` `open(java.lang.String method, java.lang.String url)`
`void` `open(java.lang.String method, java.lang.String url, boolean async)`
`void` `open(java.lang.String method, java.lang.String url, boolean async, java.lang.String user)`
`void` `open(java.lang.String method, java.lang.String url, boolean async, java.lang.String user, java.lang.String password)`
`void` `send()`
`void` `send(org.w3c.dom.Document data)`
`void` `send(java.lang.String data)`
`void` `setOnreadystatechange(EventListener l)`
`void` `setRequestHeader(java.lang.String header, java.lang.String value)`

Field Detail

### UNSENT

    static final short UNSENT

See Also:
  Constant Field Values

### OPENED

    static final short OPENED

See Also:
  Constant Field Values

### HEADERS_RECEIVED

    static final short HEADERS_RECEIVED

See Also:
  Constant Field Values

### LOADING

    static final short LOADING

See Also:
  Constant Field Values

### DONE

    static final short DONE

See Also:
  Constant Field Values

Method Detail

### getOnreadystatechange

    EventListener getOnreadystatechange()

### setOnreadystatechange

    void setOnreadystatechange(EventListener l)

### getReadyState

    short getReadyState()

### open

    void open(java.lang.String method,
              java.lang.String url)

### open

    void open(java.lang.String method,
              java.lang.String url,
              boolean async)

### open

    void open(java.lang.String method,
              java.lang.String url,
              boolean async,
              java.lang.String user)

### open

    void open(java.lang.String method,
              java.lang.String url,
              boolean async,
              java.lang.String user,
              java.lang.String password)

### setRequestHeader

    void setRequestHeader(java.lang.String header,
                          java.lang.String value)

### send

    void send()

### send

    void send(java.lang.String data)

### send

    void send(org.w3c.dom.Document data)

### abort

    void abort()

### getAllResponseHeaders

    java.lang.String getAllResponseHeaders()

### getResponseHeader

    java.lang.String getResponseHeader(java.lang.String header)

### getResponseText

    java.lang.String getResponseText()

### getResponseXML

    java.lang.String getResponseXML()

### getStatus

    short getStatus()

### getStatusText

    java.lang.String getStatusText()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.